Bug 468643 - Review Request: perl-Devel-GlobalDestruction - Expose PL_dirty
Review Request: perl-Devel-GlobalDestruction - Expose PL_dirty
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Devel-Glo...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-26 21:59 EDT by Chris Weyl
Modified: 2010-07-09 14:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-03 15:16:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-10-26 21:59:36 EDT
SRPM URL: http://fedora.biggerontheinside.net/review/perl-Devel-GlobalDestruction-0.02-1.fc9.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-Devel-GlobalDestruction.spec

Description:
Perl's global destruction is a little tricky to deal with WRT finalizers
because its not ordered and objects can sometimes disappear.

Writing defensive destructors is hard and annoying, and usually if global
destruction is happenning you only need the destructors that free up non
process local resources to actually execute.

For these constructors you can avoid the mess by simply bailing out if
global destruction is in effect.
Comment 1 Chris Weyl 2008-10-26 22:00:32 EDT
This package is a new requirement of Class::MOP.

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=905263
Comment 2 Jason Tibbitts 2008-10-27 15:26:42 EDT
While the %description seems to make sense, Summary: is, well, not terribly helpful.  Is anyone supposed to know what PL_dirty is?  Could we at least use what upstream has:
  Expose PL_dirty, the flag which marks global destruction
or maybe just
  Expose the flag which marks global destruction
which, while still not completely comprehensible to most folks, is at least understandable by most moderately experienced Perl programmers.

Anyway, full review forthcoming.
Comment 3 Jason Tibbitts 2008-10-27 23:29:18 EDT
I had hoped to get that done before leaving work, but....

rpmlint says:
  perl-Devel-GlobalDestruction-debuginfo.x86_64: E: description-line-too-long 
   This package provides debug information for package 
   perl-Devel-GlobalDestruction.
which indeed is long, but not really under your control.

Really, the only issue I see is the summary, which I trust you'll fix up to something comprehensible before you check in.

* source files match upstream:
   1c6665a98a7ee12d2e0ca926b800561f8ff4ea36daf487c02030a12f7a2b959c  
   Devel-GlobalDestruction-0.02.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
X summary is seriously cryptic.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   GlobalDestruction.so()(64bit)
   perl(Devel::GlobalDestruction) = 0.02
   perl-Devel-GlobalDestruction = 0.02-1.fc10
   perl-Devel-GlobalDestruction(x86-64) = 0.02-1.fc10
  =
   perl(:MODULE_COMPAT_5.10.0)
   perl(Sub::Exporter)
   perl(strict)
   perl(vars)
   perl(warnings)

* %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=4,  0 wallclock secs ( 0.01 usr  0.01 sys +  0.01 cusr  0.00 
    csys =  0.03 CPU)
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 4 Chris Weyl 2008-10-28 00:27:47 EDT
New Package CVS Request
=======================
Package Name: perl-MooseX-StrictConstructor
Short Description: Make your object constructors blow up on unknown attributes
Owners: cweyl
Branches: F-8, F-9, devel
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2008-10-29 17:28:38 EDT
cvs done.
Comment 6 Kevin Fenzi 2008-10-29 17:29:46 EDT
Oops. This looks like the request for bug 468799.
Can you add another one here for this request and reset the flag?
Comment 7 Chris Weyl 2008-10-29 18:09:51 EDT
Man, I hate it when I do that.
Comment 8 Chris Weyl 2008-11-01 21:43:05 EDT
New Package CVS Request
=======================
Package Name: perl-Devel-GlobalDestruction
Short Description: Expose PL_dirty
Owners: cweyl
Branches: F-8 F-9 devel
InitialCC: perl-sig
Comment 9 Chris Weyl 2008-11-01 21:43:53 EDT
New Package CVS Request
=======================
Package Name: perl-Devel-GlobalDestruction
Short Description: Expose PL_dirty
Owners: cweyl
Branches: F-8 F-9 devel
InitialCC: perl-sig
Comment 10 Dennis Gilmore 2008-11-03 13:55:51 EST
CVS Done
Comment 11 Mark Chappell 2010-07-09 06:09:15 EDT
Package Change Request
======================
Package Name: perl-Devel-GlobalDestruction
New Branches: EL-6
Owners: tremble    

cweyl has previously expressed that he is happy for others to request EPEL branches
Comment 12 Kevin Fenzi 2010-07-09 14:10:47 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.